﻿namespace Library
{
    public class JzOperator : OneOperandOperator
    {
        public JzOperator() : base(7) { }

        /// <summary>
        /// Ha a legutolsó eredmény 0, akkor átugrik a megadott memóriacímre a futtatás
        /// </summary>
        /// <param name="emulatorMemory"></param>
        public override void Execute(EmulatorMemory emulatorMemory)
        {
            if (emulatorMemory.LastResult == 0)
            {
                emulatorMemory.CurrentIndex = this.Operand.Address;
            }
        }
    }
}
