﻿namespace Library
{
    public class MovOperator : TwoOperandOperator
    {
        public MovOperator() : base(0) { }

        /// <summary>
        /// A második paraméter által mutatott címen lévő értéket az első paraméter által mutatott címre másolja
        /// </summary>
        /// <param name="emulatorMemory"></param>
        public override void Execute(EmulatorMemory emulatorMemory)
        {           
            var op1 = (MemoryAddressOperand)this.Op1;
            var op2 = (MemoryAddressOperand)this.Op2;
            emulatorMemory[op1] = emulatorMemory[op2];
        }
    }
}
