﻿using System.Threading;

namespace Library
{
    public class WaitOperator : NoOperandOperator
    {
        public WaitOperator() : base(9) { }

        /// <summary>
        /// Késlelteti a futtatást 100 ms-ig
        /// </summary>
        /// <param name="emulatorMemory"></param>
        public override void Execute(EmulatorMemory emulatorMemory)
        {
            Thread.Sleep(100);
        }
    }
}
