﻿namespace Library
{
    public class JcOperator : OneOperandOperator
    {
        public JcOperator() : base(8) { }

        /// <summary>
        /// Ha volt overflow, akkor átugrik a vezérlés a megadott címre
        /// </summary>
        /// <param name="emulatorMemory"></param>
        public override void Execute(EmulatorMemory emulatorMemory)
        {
            if (emulatorMemory.LastOperationOverflow)
            {
                emulatorMemory.CurrentIndex = this.Operand.Address;
            }
        }
    }
}
