﻿namespace Library
{
    public class MovCOperator : TwoOperandOperator
    {        
        public MovCOperator() : base(1) { }

        /// <summary>
        /// Az első paraméter által reprezentált címre beírja a második paraméter értékét
        /// </summary>
        /// <param name="emulatorMemory"></param>
        public override void Execute(EmulatorMemory emulatorMemory)
        {
            var op1 = (MemoryAddressOperand)this.Op1;
            var op2 = (ConstantOperand)this.Op2;
            emulatorMemory[op1] = op2.Value;
            emulatorMemory.LastResult = op2.Value;
        }
    }
}
